/*
 Theme Name:   Endpoint Protector Certification
 Theme URI:    https://www.endpointprotector.com
 Description:  Endpoint Protector Certification Theme
 Author:       Pavel Mititel
 Template:     twentytwentyone
 Version:      1.3.2
 Text Domain:  certification
*/ 

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

:root{
    --c-midnight-wisteria: #291636;
    --c-light-navigo-blue: #52c1dd;
    --c-light-wisteria-purple: #e9e8f5;
    --c-light-peble-gray: #dadada;
    --c-light-gray: #f1f2f2;
    --c-white: #fff;
}

* {
    text-decoration: none;
    outline: 0;
    padding: 0;
    margin: 0;
	line-height: 1.5em;
	box-sizing: border-box;
    color: inherit;
    font-weight: 300;
}
html {
    -ms-touch-action: manipulation;
    touch-action: manipulation;
}
body {
    font-family: 'Roboto', Verdana, Helvetica, Arial, sans-serif;
    color: var(--c-midnight-wisteria);
    overflow: hidden;
}

h1 {
    font-size: 32px;
    font-weight: 500;
    line-height: 1.2em;
    text-align: left;
}
h2 {
    font-size: 27px;
    font-weight: 400;
    line-height: 1.2em;
    text-align: left;
    margin: 1.25em 0 0.75em 0;
}
h3 {
    font-size: 22px;
    font-weight: 400;
    line-height: 1.2em;
    text-align: left;
    margin: 1.25em 0 0.75em 0;
}
h2:first-child, h3:first-child{
    margin-top: 0;
}
p {
    line-height: 1.5em;
    font-size: 16px;
    margin-bottom: 1em;
}
p:last-child{
    margin-bottom: 0;
}
ul, ol{
    padding-left: 20px;
    margin-bottom: 1em;
}
a{
    color: var(--c-light-navigo-blue);
}
strong, b {
    font-weight: 500;
}
img, svg{
    width: 100%;
    height: auto;
    display: block
}

input[type="text"], input[type="url"], input[type="tel"], input[type="email"], input[type="number"], input[type="date"], textarea, select{
    border: 1px solid var(--c-light-peble-gray);
    font-size: 16px;
    padding: 5px 10px;
    border-radius: 4px;
    width: 100%;
    background-color: var(--c-white);
    height: 38px;
    color: #535353;
}
input[type="text"]:focus, input[type="url"]:focus, input[type="tel"]:focus, input[type="email"]:focus, input[type="number"]:focus, input[type="date"]:focus, textarea:focus, select:focus{
    border: 1px solid #939598;
}

.inner-section{
    margin-bottom: 80px;
}
.inner-section:last-child{
    margin-bottom: 0;
}
.section-row{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
}
.columns-3{
    width: 30%;
    width: calc(33.33% - 30px);
}
.columns-4{
    width: 22%;
    width: calc(25% - 30px);
}

button, .button{
    display: inline-block;
    padding: 5px 25px;
    border: 1px solid var(--c-light-navigo-blue);
    border-radius: 4px;
    background: var(--c-light-navigo-blue);
    color: var(--c-white);
    font-weight: 400;
    text-transform: uppercase;
    font-size: 16px;
    font-family: 'Roboto', Verdana, Helvetica, Arial, sans-serif;
    cursor: pointer;
    text-align: center;
}
button.button-outline, .button.button-outline{
    background: transparent;
    color: var(--c-light-navigo-blue);
}
.button-disabled {
    opacity: 0.3 !important;
    cursor: default;
    pointer-events: none;
}


/* Site header ********************************************************************* */
.site-header {
    background: var(--c-light-wisteria-purple);
    display: flex;
    align-items: center;
    height: 60px;
    justify-content: space-between;
    z-index: 99999;
    position: fixed;
    top: 0;
    left: 275px;
    right: 0;
    border-bottom: 1px solid var(--c-light-peble-gray);
}

.site-branding {
    display: block;
    width: 100%;
    margin-bottom: 22px;
}
.primary-navigation {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
}
   

/* Site top nav ******************************************************************** */
.menu-main-top-container ul {
    display: flex;
    padding-left: 0;
    margin: 0;
    list-style: none;
}
.menu-main-top-container ul li {
    position: relative;
}
.menu-main-top-container ul li a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 4px;
    background: transparent;
    transition: .3s all ease-in-out;
}
.menu-main-top-container ul li:hover a::after, 
.menu-main-top-container ul li.current-page-ancestor a::after,
.menu-main-top-container ul li.current_page_item a::after,
.menu-main-top-container ul li.top-certification a::after {
    background: var(--c-light-navigo-blue);
}
.menu-main-top-container ul li.top-dashboard .icon-home{
    font-size: 20px;
}
.menu-main-top-container ul li a {
    font-size: 15px;
    text-transform: uppercase;
    color: var(--c-midnight-wisteria);
    font-weight: 500;
    line-height: 1.2em;
    height: 60px;
    display: flex;
    align-items: center;
    padding: 10px 20px;
    max-width: 150px;
    text-align: center;
}
.primary-menu-container > ul {
    display: flex;
    padding-left: 0;
    margin-bottom: 0;
}
.primary-menu-container > ul > li {
    list-style: none;
    position: relative;
    text-align: center;
    max-width: 160px;
    display: flex;
    align-items: center;
    line-height: 1.2em;
    height: 88px;
}
.primary-menu-container > ul > li a {
    text-transform: uppercase;
    color: var(--c-midnight-wisteria);
    font-weight: 500;
    padding: 20px 15px;
    line-height: 1.2em;
    display: block;
    font-size: 15px;
}
.primary-menu-container > ul > li .menu-item-after {
    content: '';
    position: absolute;
    width: 100%;
    height: 4px;
    background: var(--c-light-navigo-blue);
    left: 0;
    bottom: 0;
    transition: .2s all ease-in-out;
    opacity: 0;
}
.primary-menu-container > ul > li:hover .menu-item-after, .primary-menu-container > ul > li.current-menu-item .menu-item-after {
    opacity: 1;
}

.user-nav-container svg {
    fill: var(--c-light-wisteria-purple);
    height: 25px;
    width: 25px;
}
.user-nav-container {
    display: flex;
    margin-right: 20px;
}
.user-account-container {
    display: flex;
    padding-left: 20px;
    position: relative;
    align-items: center;
}
.user-account-avatar {
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    background: #fff;
    border-radius: 30px;
    cursor: pointer;
}
.user-account {
    padding: 0px 20px 0 15px;
    position: relative;
    cursor: pointer;
    font-weight: 400;
}
.user-account::after {
    content: '';
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 6px solid;
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translateY(-50%);
}

.user-account-menu {
    position: absolute;
    right: 0;
    top: 10px;
    padding-top: 20px;
    width: 240px;
    opacity: 0;
    visibility: hidden;
    transition: .2s all ease-in-out;
}
.user-account-container:hover .user-account-menu{
    opacity: 1;
    visibility: visible;
}
.user-account-menu-container {
    background: var(--c-white);
    padding: 10px;
    border: 1px solid var(--c-light-gray);
    box-shadow: 0px 3px 5px rgba(0,0,0,0.1);
}
.user-account-menu-container ul {
    margin-bottom: 0;
}
.user-account-menu ul li {
    list-style: none;
}
.user-account-menu ul li a {
    font-weight: 400;
    display: block;
}
  

/* Page template ******************************************************************* */
.site-content {
    height: 100vh;
    height: calc(100vh - 60px);
    margin-left: 275px;
    margin-top: 60px;
}
.site-main {
    height: 95vh;
    height: calc(100vh - 60px);
    overflow-y: auto;
    position: relative;
}
.center {
    width: 100%;
    max-width: 1200px;
    display: block;
    margin: auto;
    padding: 40px 0;
}
.reading-width {
    max-width: 800px;
}

.sidebar-main-left {
    width: 275px;
    height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    background: var(--c-midnight-wisteria);
    z-index: 999;
}
.page-main {
    width: 100%;
}
.sidebar-main-top {
    padding: 20px 30px;
    border-bottom: 1px solid #432a55;
}
.sidebar-main-top .site-title {
    font-size: 22px;
    line-height: 1.2em;
    font-weight: 300;
    color: #fff;
}

.sidebar-main-menu {
    padding: 25px 0;
}
.sidebar-main-menu ul{
    padding-left: 0;
}
.sidebar-main-menu ul li {
    list-style: none;
    padding: 10px 25px;
    border-left: 5px solid transparent;
    transition: .3s all ease-in-out;
    position: relative;
}
.sidebar-main-menu ul li.current_page_item,
.sidebar-main-menu ul li:hover,
.single-case-study ul li.side-case-studies,
.single-whitepaper ul li.side-whitepapers,
.single-datasheet ul li.side-datasheets,
.single-product-presentation ul li.side-product-presentations,
.single-battle-card ul li.side-battle-cards,
.single-release_note ul li.side-release-notes {
    border-color: var(--c-light-navigo-blue);
    background-color: #432a55;
}
.sidebar-main-menu ul li a {
    color: #fff;
    font-weight: 400;
    display: block;
    line-height: 1.2em;
}
.sidebar-main-menu .menu-ae-admins-container::before {
    content: 'CoSoSys Admins';
    color: #a087c2;
    display: block;
    padding: 10px 30px;
    border-bottom: 1px solid #432a55;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 14px;
}

.top-page-section {
    background: var(--c-light-gray);
    display: block;
}
.page-title h1 {
    font-size: 32px;
    font-weight: 500;
    line-height: 1.2em;
    margin-bottom: 0.5em;
}
.page-short-desc {
    font-size: 18px;
}

.site-footer {
    background: var(--c-light-gray);
    padding: 20px 40px;
    font-size: 0.9em;
    position: sticky;
    top: 100%;
    right: 0;
    left: 0;
}
.site-info {
    display: flex;
    justify-content: space-between;
}
.site-info.content-centered {
    display: block;
}
  


/* Overview Page ******************************************************************* */
.c-overview-box {
    border: 1px solid var(--c-light-peble-gray);
    border-radius: 10px;
    padding: 25px;
}
.c-overview-box-title a {
    color: var(--c-midnight-wisteria);
    font-size: 22px;
    font-weight: 400;
    display: block;
    line-height: 1.2em;
    margin-top: 40px;
}
.r-overview-box{
    margin-bottom: 45px;
}
.r-overview-box > a {
    border-radius: 10px;
    display: flex;
    align-items: center;
    background: #f9f9f9;
    padding: 15px 30px;
    transition: .2s all ease-in-out;
}
.r-overview-boxes {
    margin-bottom: 45px;
}
.r-overview-boxes .r-overview-box:last-child {
    margin-bottom: 0;
}
.r-overview-box-illustration {
    width: 70px;
    margin-right: 20px;
}
.r-overview-box-content {
    font-size: 20px;
    font-weight: 400;
    color: var(--c-midnight-wisteria);
    line-height: 1.2em;
}
.r-overview-box-content {
    width: 70%;
    width: calc(100% - 90px);
}

.video-item-container {
    margin-bottom: 60px;
}
.video-content iframe {
    display: block;
    width: 100%;
}
.video-title {
    margin-top: 1em;
    font-size: 20px;
    line-height: 1.4em;
    font-weight: 500;
}

/* LearnDash *********************************************************************** */
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button, .learndash-wrapper .wpProQuiz_content .wpProQuiz_button2, .learndash-wrapper .wpProQuiz_content .wpProQuiz_certificate a.btn-blue {
    border-radius: 4px;
    font-weight: 400;
    font-size: 16px;
    padding: 0.5em 2em;
}
.learndash-wrapper .ld-breadcrumbs .ld-breadcrumbs-segments span a {
    font-weight: 500;
}
.learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-list-item-preview .ld-status-icon{
    margin-top: 0;
}
.certification-exam-container .learndash-wrapper > .learndash-shortcode-wrap .ld-course-status,
.wpProQuiz_reviewDiv .learndash-quiz-review-legend-item-review, .wpProQuiz_reviewDiv .wpProQuiz_reviewButtons, 
.learndash-wrapper .ld-quiz-actions{
    display: none !important;
}
.learndash-wrapper .wpProQuiz_content a#quiz_continue_link {
    background: transparent;
    border: 1px solid var(--c-light-navigo-blue) !important;
    color: var(--c-light-navigo-blue);
    padding: 9px 25px;
    border-radius: 5px;
    display: inline-block;
    font-size: 16px;
    line-height: 1.2em;
    font-weight: 400;
}
.learndash-wrapper .wpProQuiz_reviewDiv {
    border-bottom: 2px solid var(--c-light-gray);
    margin-bottom: 1em;
    padding-bottom: 1em;
}
.learndash-wrapper .wpProQuiz_reviewDiv .wpProQuiz_reviewQuestion {
    background: var(--c-light-gray);
    border-radius: 6px;
    overflow: auto;
    padding: 12px 13px;
    max-height: none;
}
.learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem label.is-selected, .learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem label:focus-within {
    border-color: #50519e !important;
}
.learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem label {
    border: 1px solid #dadada;
    padding: 0.6em 1em;
}
.learndash-wrapper .wpProQuiz_reviewDiv .wpProQuiz_reviewQuestion li {
    border-radius: 5px;
    box-shadow: none;
    border: 0;
    margin: 3px;
}
.wpProQuiz_content .wpProQuiz_box li.wpProQuiz_reviewQuestionSolved, .wpProQuiz_content .wpProQuiz_reviewQuestion li.wpProQuiz_reviewQuestionSolved {
    background-color: #50519e;
}
.wpProQuiz_content .wpProQuiz_reviewLegend {
    margin-bottom: 0;
    padding: 5px 15px;
}
.wpProQuiz_content .wpProQuiz_reviewLegend li {
    padding-right: 10px;
    display: flex;
    align-items: center;
    font-size: 12px;
}
.wpProQuiz_content .wpProQuiz_reviewColor {
    height: 10px;
    margin-right: 5px;
    width: 10px;
    border-radius: 3px;
}
.wpProQuiz_content .wpProQuiz_reviewLegend span.wpProQuiz_reviewQuestion_Target, .wpProQuiz_content .wpProQuiz_reviewQuestion li.wpProQuiz_reviewQuestionTarget {
    background-color: var(--c-light-navigo-blue);
    box-shadow: none;
}
.wpProQuiz_content .wpProQuiz_reviewLegend span.wpProQuiz_reviewColor_Answer, .wpProQuiz_content .wpProQuiz_reviewQuestion li.wpProQuiz_reviewColorAnswer {
    background-color: #50519e;
}
.learndash-wrapper .wpProQuiz_content .wpProQuiz_time_limit .time{
    color: inherit;
    margin-top: 0;
}
.learndash-wrapper .wpProQuiz_content .wpProQuiz_time_limit {
    background-color: var(--c-light-wisteria-purple);
}
.wpProQuiz_content .wpProQuiz_question_page {
    margin-bottom: 25px;
    font-size: 14px;
    color: #939598;
}
.learndash-wrapper .wpProQuiz_graded_points, .learndash-wrapper .wpProQuiz_points {
    background-color: var(--c-light-wisteria-purple);
    border: 0;
    color: inherit;
}
.learndash-wrapper .course_progress .sending_progress_bar {
    background: var(--c-midnight-wisteria);
}

/* Page Blank Template ************************************************************* */
.page-blank .site-content {
    margin: 0;
    height: 100vh;
}
.page-blank .site-header{
    display: none;
}
.page-blank .page-main{
    width: 100%;
}
.page-blank .site-copyright {
    text-align: center;
    font-size: 14px;
}
.page-blank .site-footer {
    background-color: transparent;
    position: absolute;
    bottom: 0;
    top: auto;
}
.page-blank .site-main {
    height: 100vh;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
}

/* 404 Page ************************************************************************ */
.error-404.not-found {
    width: 100%;
    max-width: 500px;
    margin: 80px auto;
    text-align: center;
}
.error-404-code {
    font-size: 10em;
    color: #4a1f60;
}
.error-404-content h1 {
    margin-bottom: 10px;
    text-align: center;
}
.error-404-buttons .button {
    margin: 10px 0;
}

/* Login Form ********************************************************************** */
.login-container {
    width: 400px;
    display: block;
    margin: 80px auto;
}
.login-container-form {
    padding: 40px;
    border: 1px solid var(--c-light-peble-gray);
    border-radius: 10px;
    background-color: #f9f9f9;
}
.login-container-header .login-container-logo {
    display: block;
    width: 75%;
    margin: auto;
}
.login-container-header h1 {
    text-align: center;
    font-size: 24px;
}
.login-container-header {
    margin-bottom: 40px;
}
.login-container #wppb-login-wrap .login-username input, 
.login-container #wppb-login-wrap .login-password input,
.login-container .wppb-form-field input[type="text"]{
    width: 100%;
    float: none;
    padding: 5px 10px;
}
.login-container #wppb-login-wrap .login-username label, 
.login-container #wppb-login-wrap .login-password label,
.login-container .wppb-form-field label {
    width: 100%;
    float: none;
    margin-bottom: 5px;
    display: block;
}
.login-container #wppb-login-wrap .login-register-lost-password, .login-back{
    padding-bottom: 0;
    margin-bottom: 0;
}
.login-container #wppb-recover-password > p:first-child {
    font-size: 15px;
}
.login-container .wppb-error, .login-container .wppb-warning {
    border-radius: 4px;
    padding: 10px 15px;
}
.wppb-user-forms .button {
    background: var(--c-light-navigo-blue);
    border: none;
    font-size: 16px;
    color: var(--c-white);
    padding: 5px 40px;
    border-radius: 4px;
    cursor: pointer;
    font-weight: 500;
}
.wppb-form-field.wppb-default-password button.wppb-toggle-pw,
.wppb-form-field.wppb-default-repeat-password button.wppb-toggle-pw,
.login-container-form #wppb-login-wrap .login-password button.wppb-toggle-pw {
    right: 8px;
    top: 32px;
	height: 30px;
	cursor: pointer;
    opacity: 0.2;
    transition: .2s all ease-in-out;
}
.wppb-form-field.wppb-default-password button.wppb-toggle-pw:hover,
.wppb-form-field.wppb-default-repeat-password button.wppb-toggle-pw:hover,
.login-container-form #wppb-login-wrap .login-password button.wppb-toggle-pw:hover {
    opacity: 0.8;
}

/* RESPONSIVE ********************************************************************** */
#mobile-version-soon {
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 99999;
    background: #fff;
    top: -99999px;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
}
.mobile-version-soon-container {
    text-align: center;
    font-size: 18px;
}
  
@media screen and (max-width: 1600px) {
    
    .sidebar-main-left {
        width: 250px;
    }
    .site-content {
        margin-left: 250px;
    }
    .site-header {
        left: 250px;
    }
    .center {
        max-width: 1080px;
    }
    .sidebar-main-top .site-title {
        font-size: 20px;
    }
    .columns-3 {
        width: calc(33.33% - 20px);
    }

    .r-overview-box-illustration {
        width: 55px;
    }
    .r-overview-box-content a {
        font-size: 18px;
    }
    .r-overview-boxes {
        margin-bottom: 45px;
    }
    .r-overview-box-big .r-overview-box-blog a {
        font-size: 13px;
    }

}

@media screen and (max-width: 1400px) {
    .center{
        padding: 50px 30px;
    }
    .primary-navigation{
        padding: 0 10px;
    }

    .primary-menu-container > ul > li a {
        font-size: 14px;
    }
  
    .r-overview-box-illustration {
        width: 50px;
    }
    .r-overview-box-content a {
        font-size: 17px;
    }
    .r-overview-box-illustration {
        margin-right: 10px;
    }
  
    .top-page-column-left {
        width: 100%;
        margin-bottom: 40px;
    }
    .top-page-column-right {
        width: 100%;
    }
  
    .top-page-column-right.related-content-link {
        text-align: left;
    }

    .sidebar-main-top, .sidebar-main-menu .menu-ae-admins-container::before {
        padding-left: 21px;
        padding-right: 21px;
    }
    .sidebar-main-menu ul li {
        padding: 8px 16px;
    }
    .site-footer {
        padding: 30px;
    }  

    .menu-main-top-container ul li a, .user-account {
        font-size: 14px;
        max-width: 140px;
    }
}

@media screen and (max-width: 1000px) {
    #mobile-version-soon{
        display: flex;
        top: 0;
    }
}